%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%  This file is part of VivoMind Prolog Unicode Resources
%  SPDX-License-Identifier: CC0-1.0
%
%  VivoMind Prolog Unicode Resources is free software distributed using the
%  Creative Commons CC0 1.0 Universal (CC0 1.0) - Public Domain Dedication
%  license
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%  Last modified: April 23, 2013
%
%  Original Unicode file header comments follow

/*
# CJKRadicals-6.2.0.txt
# Date: 2012-05-15, 21:08:00 GMT [RC, KW]
#
# Unicode Character Database
# Copyright (c) 1991-2012 Unicode, Inc.
# For terms of use, see http://www.unicode.org/terms_of_use.html
# For documentation, see http://www.unicode.org/reports/tr38/
#
# Mapping from radical numbers to characters.
#
# This data file provides a mapping from the radical numbers used
# in the kRSUnicode property to the corresponding character
# in the CJK Radical block or the CJK Radicals Supplement block, as
# well as to a CJK Unified Ideograph which is formed from that radical
# only.
#
# There is one line per radical number. Each line contains three
# fields, separated by a semicolon (';'). The first field is the
# radical number. The second field is the CJK Radical character. The third
# field is the CJK Unified Ideograph.
#
# Radical numbers match the regular expression [0-9]{1,3}\'?
# and in particular they can end with a U+0027 ' APOSTROPHE.
#
# This file was created for Unicode 5.2 by Richard Cook.
# Updated for Unicode 6.0 by Richard Cook.
# Updated for Unicode 6.1 and 6.2 by Ken Whistler.
#
# ####################################################
*/

unicode_cjk_radical('1',     0x2F00, 0x4E00).
unicode_cjk_radical('2',     0x2F01, 0x4E28).
unicode_cjk_radical('3',     0x2F02, 0x4E36).
unicode_cjk_radical('4',     0x2F03, 0x4E3F).
unicode_cjk_radical('5',     0x2F04, 0x4E59).
unicode_cjk_radical('6',     0x2F05, 0x4E85).
unicode_cjk_radical('7',     0x2F06, 0x4E8C).
unicode_cjk_radical('8',     0x2F07, 0x4EA0).
unicode_cjk_radical('9',     0x2F08, 0x4EBA).
unicode_cjk_radical('10',    0x2F09, 0x513F).
unicode_cjk_radical('11',    0x2F0A, 0x5165).
unicode_cjk_radical('12',    0x2F0B, 0x516B).
unicode_cjk_radical('13',    0x2F0C, 0x5182).
unicode_cjk_radical('14',    0x2F0D, 0x5196).
unicode_cjk_radical('15',    0x2F0E, 0x51AB).
unicode_cjk_radical('16',    0x2F0F, 0x51E0).
unicode_cjk_radical('17',    0x2F10, 0x51F5).
unicode_cjk_radical('18',    0x2F11, 0x5200).
unicode_cjk_radical('19',    0x2F12, 0x529B).
unicode_cjk_radical('20',    0x2F13, 0x52F9).
unicode_cjk_radical('21',    0x2F14, 0x5315).
unicode_cjk_radical('22',    0x2F15, 0x531A).
unicode_cjk_radical('23',    0x2F16, 0x5338).
unicode_cjk_radical('24',    0x2F17, 0x5341).
unicode_cjk_radical('25',    0x2F18, 0x535C).
unicode_cjk_radical('26',    0x2F19, 0x5369).
unicode_cjk_radical('27',    0x2F1A, 0x5382).
unicode_cjk_radical('28',    0x2F1B, 0x53B6).
unicode_cjk_radical('29',    0x2F1C, 0x53C8).
unicode_cjk_radical('30',    0x2F1D, 0x53E3).
unicode_cjk_radical('31',    0x2F1E, 0x56D7).
unicode_cjk_radical('32',    0x2F1F, 0x571F).
unicode_cjk_radical('33',    0x2F20, 0x58EB).
unicode_cjk_radical('34',    0x2F21, 0x5902).
unicode_cjk_radical('35',    0x2F22, 0x590A).
unicode_cjk_radical('36',    0x2F23, 0x5915).
unicode_cjk_radical('37',    0x2F24, 0x5927).
unicode_cjk_radical('38',    0x2F25, 0x5973).
unicode_cjk_radical('39',    0x2F26, 0x5B50).
unicode_cjk_radical('40',    0x2F27, 0x5B80).
unicode_cjk_radical('41',    0x2F28, 0x5BF8).
unicode_cjk_radical('42',    0x2F29, 0x5C0F).
unicode_cjk_radical('43',    0x2F2A, 0x5C22).
unicode_cjk_radical('44',    0x2F2B, 0x5C38).
unicode_cjk_radical('45',    0x2F2C, 0x5C6E).
unicode_cjk_radical('46',    0x2F2D, 0x5C71).
unicode_cjk_radical('47',    0x2F2E, 0x5DDB).
unicode_cjk_radical('48',    0x2F2F, 0x5DE5).
unicode_cjk_radical('49',    0x2F30, 0x5DF1).
unicode_cjk_radical('50',    0x2F31, 0x5DFE).
unicode_cjk_radical('51',    0x2F32, 0x5E72).
unicode_cjk_radical('52',    0x2F33, 0x5E7A).
unicode_cjk_radical('53',    0x2F34, 0x5E7F).
unicode_cjk_radical('54',    0x2F35, 0x5EF4).
unicode_cjk_radical('55',    0x2F36, 0x5EFE).
unicode_cjk_radical('56',    0x2F37, 0x5F0B).
unicode_cjk_radical('57',    0x2F38, 0x5F13).
unicode_cjk_radical('58',    0x2F39, 0x5F50).
unicode_cjk_radical('59',    0x2F3A, 0x5F61).
unicode_cjk_radical('60',    0x2F3B, 0x5F73).
unicode_cjk_radical('61',    0x2F3C, 0x5FC3).
unicode_cjk_radical('62',    0x2F3D, 0x6208).
unicode_cjk_radical('63',    0x2F3E, 0x6236).
unicode_cjk_radical('64',    0x2F3F, 0x624B).
unicode_cjk_radical('65',    0x2F40, 0x652F).
unicode_cjk_radical('66',    0x2F41, 0x6534).
unicode_cjk_radical('67',    0x2F42, 0x6587).
unicode_cjk_radical('68',    0x2F43, 0x6597).
unicode_cjk_radical('69',    0x2F44, 0x65A4).
unicode_cjk_radical('70',    0x2F45, 0x65B9).
unicode_cjk_radical('71',    0x2F46, 0x65E0).
unicode_cjk_radical('72',    0x2F47, 0x65E5).
unicode_cjk_radical('73',    0x2F48, 0x66F0).
unicode_cjk_radical('74',    0x2F49, 0x6708).
unicode_cjk_radical('75',    0x2F4A, 0x6728).
unicode_cjk_radical('76',    0x2F4B, 0x6B20).
unicode_cjk_radical('77',    0x2F4C, 0x6B62).
unicode_cjk_radical('78',    0x2F4D, 0x6B79).
unicode_cjk_radical('79',    0x2F4E, 0x6BB3).
unicode_cjk_radical('80',    0x2F4F, 0x6BCB).
unicode_cjk_radical('81',    0x2F50, 0x6BD4).
unicode_cjk_radical('82',    0x2F51, 0x6BDB).
unicode_cjk_radical('83',    0x2F52, 0x6C0F).
unicode_cjk_radical('84',    0x2F53, 0x6C14).
unicode_cjk_radical('85',    0x2F54, 0x6C34).
unicode_cjk_radical('86',    0x2F55, 0x706B).
unicode_cjk_radical('87',    0x2F56, 0x722A).
unicode_cjk_radical('88',    0x2F57, 0x7236).
unicode_cjk_radical('89',    0x2F58, 0x723B).
unicode_cjk_radical('90',    0x2F59, 0x723F).
unicode_cjk_radical('90\'',  0x2EA6, 0x4E2C).
unicode_cjk_radical('91',    0x2F5A, 0x7247).
unicode_cjk_radical('92',    0x2F5B, 0x7259).
unicode_cjk_radical('93',    0x2F5C, 0x725B).
unicode_cjk_radical('94',    0x2F5D, 0x72AC).
unicode_cjk_radical('95',    0x2F5E, 0x7384).
unicode_cjk_radical('96',    0x2F5F, 0x7389).
unicode_cjk_radical('97',    0x2F60, 0x74DC).
unicode_cjk_radical('98',    0x2F61, 0x74E6).
unicode_cjk_radical('99',    0x2F62, 0x7518).
unicode_cjk_radical('100',   0x2F63, 0x751F).
unicode_cjk_radical('101',   0x2F64, 0x7528).
unicode_cjk_radical('102',   0x2F65, 0x7530).
unicode_cjk_radical('103',   0x2F66, 0x758B).
unicode_cjk_radical('104',   0x2F67, 0x7592).
unicode_cjk_radical('105',   0x2F68, 0x7676).
unicode_cjk_radical('106',   0x2F69, 0x767D).
unicode_cjk_radical('107',   0x2F6A, 0x76AE).
unicode_cjk_radical('108',   0x2F6B, 0x76BF).
unicode_cjk_radical('109',   0x2F6C, 0x76EE).
unicode_cjk_radical('110',   0x2F6D, 0x77DB).
unicode_cjk_radical('111',   0x2F6E, 0x77E2).
unicode_cjk_radical('112',   0x2F6F, 0x77F3).
unicode_cjk_radical('113',   0x2F70, 0x793A).
unicode_cjk_radical('114',   0x2F71, 0x79B8).
unicode_cjk_radical('115',   0x2F72, 0x79BE).
unicode_cjk_radical('116',   0x2F73, 0x7A74).
unicode_cjk_radical('117',   0x2F74, 0x7ACB).
unicode_cjk_radical('118',   0x2F75, 0x7AF9).
unicode_cjk_radical('119',   0x2F76, 0x7C73).
unicode_cjk_radical('120',   0x2F77, 0x7CF8).
unicode_cjk_radical('120\'', 0x2EB0, 0x7E9F).
unicode_cjk_radical('121',   0x2F78, 0x7F36).
unicode_cjk_radical('122',   0x2F79, 0x7F51).
unicode_cjk_radical('123',   0x2F7A, 0x7F8A).
unicode_cjk_radical('124',   0x2F7B, 0x7FBD).
unicode_cjk_radical('125',   0x2F7C, 0x8001).
unicode_cjk_radical('126',   0x2F7D, 0x800C).
unicode_cjk_radical('127',   0x2F7E, 0x8012).
unicode_cjk_radical('128',   0x2F7F, 0x8033).
unicode_cjk_radical('129',   0x2F80, 0x807F).
unicode_cjk_radical('130',   0x2F81, 0x8089).
unicode_cjk_radical('131',   0x2F82, 0x81E3).
unicode_cjk_radical('132',   0x2F83, 0x81EA).
unicode_cjk_radical('133',   0x2F84, 0x81F3).
unicode_cjk_radical('134',   0x2F85, 0x81FC).
unicode_cjk_radical('135',   0x2F86, 0x820C).
unicode_cjk_radical('136',   0x2F87, 0x821B).
unicode_cjk_radical('137',   0x2F88, 0x821F).
unicode_cjk_radical('138',   0x2F89, 0x826E).
unicode_cjk_radical('139',   0x2F8A, 0x8272).
unicode_cjk_radical('140',   0x2F8B, 0x8278).
unicode_cjk_radical('141',   0x2F8C, 0x864D).
unicode_cjk_radical('142',   0x2F8D, 0x866B).
unicode_cjk_radical('143',   0x2F8E, 0x8840).
unicode_cjk_radical('144',   0x2F8F, 0x884C).
unicode_cjk_radical('145',   0x2F90, 0x8863).
unicode_cjk_radical('146',   0x2F91, 0x897E).
unicode_cjk_radical('147',   0x2F92, 0x898B).
unicode_cjk_radical('147\'', 0x2EC5, 0x89C1).
unicode_cjk_radical('148',   0x2F93, 0x89D2).
unicode_cjk_radical('149',   0x2F94, 0x8A00).
unicode_cjk_radical('149\'', 0x2EC8, 0x8BA0).
unicode_cjk_radical('150',   0x2F95, 0x8C37).
unicode_cjk_radical('151',   0x2F96, 0x8C46).
unicode_cjk_radical('152',   0x2F97, 0x8C55).
unicode_cjk_radical('153',   0x2F98, 0x8C78).
unicode_cjk_radical('154',   0x2F99, 0x8C9D).
unicode_cjk_radical('154\'', 0x2EC9, 0x8D1D).
unicode_cjk_radical('155',   0x2F9A, 0x8D64).
unicode_cjk_radical('156',   0x2F9B, 0x8D70).
unicode_cjk_radical('157',   0x2F9C, 0x8DB3).
unicode_cjk_radical('158',   0x2F9D, 0x8EAB).
unicode_cjk_radical('159',   0x2F9E, 0x8ECA).
unicode_cjk_radical('159\'', 0x2ECB, 0x8F66).
unicode_cjk_radical('160',   0x2F9F, 0x8F9B).
unicode_cjk_radical('161',   0x2FA0, 0x8FB0).
unicode_cjk_radical('162',   0x2FA1, 0x8FB5).
unicode_cjk_radical('162\'', 0x2ECC, 0x8FB6).
unicode_cjk_radical('163',   0x2FA2, 0x9091).
unicode_cjk_radical('164',   0x2FA3, 0x9149).
unicode_cjk_radical('165',   0x2FA4, 0x91C6).
unicode_cjk_radical('166',   0x2FA5, 0x91CC).
unicode_cjk_radical('167',   0x2FA6, 0x91D1).
unicode_cjk_radical('167\'', 0x2ED0, 0x9485).
unicode_cjk_radical('168',   0x2FA7, 0x9577).
unicode_cjk_radical('168\'', 0x2ED3, 0x957F).
unicode_cjk_radical('169',   0x2FA8, 0x9580).
unicode_cjk_radical('169\'', 0x2ED4, 0x95E8).
unicode_cjk_radical('170',   0x2FA9, 0x961C).
unicode_cjk_radical('171',   0x2FAA, 0x96B6).
unicode_cjk_radical('172',   0x2FAB, 0x96B9).
unicode_cjk_radical('173',   0x2FAC, 0x96E8).
unicode_cjk_radical('174',   0x2FAD, 0x9751).
unicode_cjk_radical('175',   0x2FAE, 0x975E).
unicode_cjk_radical('176',   0x2FAF, 0x9762).
unicode_cjk_radical('177',   0x2FB0, 0x9769).
unicode_cjk_radical('178',   0x2FB1, 0x97CB).
unicode_cjk_radical('178\'', 0x2ED9, 0x97E6).
unicode_cjk_radical('179',   0x2FB2, 0x97ED).
unicode_cjk_radical('180',   0x2FB3, 0x97F3).
unicode_cjk_radical('181',   0x2FB4, 0x9801).
unicode_cjk_radical('181\'', 0x2EDA, 0x9875).
unicode_cjk_radical('182',   0x2FB5, 0x98A8).
unicode_cjk_radical('182\'', 0x2EDB, 0x98CE).
unicode_cjk_radical('183',   0x2FB6, 0x98DB).
unicode_cjk_radical('183\'', 0x2EDC, 0x98DE).
unicode_cjk_radical('184',   0x2FB7, 0x98DF).
unicode_cjk_radical('184\'', 0x2EE0, 0x9963).
unicode_cjk_radical('185',   0x2FB8, 0x9996).
unicode_cjk_radical('186',   0x2FB9, 0x9999).
unicode_cjk_radical('187',   0x2FBA, 0x99AC).
unicode_cjk_radical('187\'', 0x2EE2, 0x9A6C).
unicode_cjk_radical('188',   0x2FBB, 0x9AA8).
unicode_cjk_radical('189',   0x2FBC, 0x9AD8).
unicode_cjk_radical('190',   0x2FBD, 0x9ADF).
unicode_cjk_radical('191',   0x2FBE, 0x9B25).
unicode_cjk_radical('192',   0x2FBF, 0x9B2F).
unicode_cjk_radical('193',   0x2FC0, 0x9B32).
unicode_cjk_radical('194',   0x2FC1, 0x9B3C).
unicode_cjk_radical('195',   0x2FC2, 0x9B5A).
unicode_cjk_radical('195\'', 0x2EE5, 0x9C7C).
unicode_cjk_radical('196\'', 0x2EE6, 0x9E1F).
unicode_cjk_radical('196',   0x2FC3, 0x9CE5).
unicode_cjk_radical('197',   0x2FC4, 0x9E75).
unicode_cjk_radical('197\'', 0x2EE7, 0x5364).
unicode_cjk_radical('198',   0x2FC5, 0x9E7F).
unicode_cjk_radical('199',   0x2FC6, 0x9EA5).
unicode_cjk_radical('199\'', 0x2EE8, 0x9EA6).
unicode_cjk_radical('200',   0x2FC7, 0x9EBB).
unicode_cjk_radical('201',   0x2FC8, 0x9EC3).
unicode_cjk_radical('201\'', 0x2EE9, 0x9EC4).
unicode_cjk_radical('202',   0x2FC9, 0x9ECD).
unicode_cjk_radical('203',   0x2FCA, 0x9ED1).
unicode_cjk_radical('204',   0x2FCB, 0x9EF9).
unicode_cjk_radical('205',   0x2FCC, 0x9EFD).
unicode_cjk_radical('205\'', 0x2EEA, 0x9EFE).
unicode_cjk_radical('206',   0x2FCD, 0x9F0E).
unicode_cjk_radical('207',   0x2FCE, 0x9F13).
unicode_cjk_radical('208',   0x2FCF, 0x9F20).
unicode_cjk_radical('209',   0x2FD0, 0x9F3B).
unicode_cjk_radical('210',   0x2FD1, 0x9F4A).
unicode_cjk_radical('210\'', 0x2EEC, 0x9F50).
unicode_cjk_radical('211',   0x2FD2, 0x9F52).
unicode_cjk_radical('211\'', 0x2EEE, 0x9F7F).
unicode_cjk_radical('212',   0x2FD3, 0x9F8D).
unicode_cjk_radical('212\'', 0x2EF0, 0x9F99).
unicode_cjk_radical('213',   0x2FD4, 0x9F9C).
unicode_cjk_radical('213\'', 0x2EF3, 0x9F9F).
unicode_cjk_radical('214',   0x2FD5, 0x9FA0).

% EOF
